package awais.instagrabber.models;

public final class DiscoverItemModel {
    private final int mediaType;
    private final String thumbnail;
    private final String shortCode;
    private boolean moreAvailable, isSelected = false;
    private String nextMaxId;

    public DiscoverItemModel(final int mediaType, final long id, final String shortCode, final String thumbnail) {
        this.mediaType = mediaType;
        this.shortCode = shortCode;
        this.thumbnail = thumbnail;
    }

    public int getMediaType() {
        return mediaType;
    }

    public String getShortCode() {
        return shortCode;
    }

    public String getThumbnail() {
        return thumbnail;
    }

    public void setMore(final boolean moreAvailable, final String nextMaxId) {
        this.moreAvailable = moreAvailable;
        this.nextMaxId = nextMaxId;
    }

    public boolean hasMore() {
        return moreAvailable;
    }

    public String getNextMaxId() {
        return nextMaxId;
    }

    public boolean isSelected() {
        return isSelected;
    }

    public void setSelected(final boolean selected) {
        this.isSelected = selected;
    }
}